// HeapBuffer.h
// Created by Bill Hubauer on Fri, Jun 2, 1995 @ 6:44 AM.

#ifndef __HeapBuffer__
#define __HeapBuffer__

#ifndef __MHeapObject__
#include "MHeapObject.h"
#endif


class CHeapBuffer : public MHeapObject
{
public:
	CHeapBuffer(CHeap&	heapSource,Size theSize);
	virtual ~CHeapBuffer();
	
	Boolean		BufferOK()			{return _buffer != NULL;}
	
	Size		GetSize()			{return _size;}
	Ptr			GetBuffer()			{return _buffer;}
	
	void		SetSize(Size newSize)	{_size = newSize;}	// you should only set
														// it smaller than the
														// original
	
	operator	Ptr()				{return _buffer;}
	
protected:
		
	Size		_size;
	Ptr			_buffer;
	CHeap&		_heapSource;
};

#endif
