#pragma once


class VolumeIterator
{
public:
	enum Match{ matchAll = 0,matchLocal = 1,matchRemote = 2};
	
	VolumeIterator(Match whichVolumes = matchAll);
	
	void	Reset();
	Boolean	MoreQ();
	
	OSErr	GetNext(HParamBlockRec& outPB);
	OSErr	GetNext(Str31 outName);
	OSErr	GetNext(short& outVRefNum,Str31 outName = NULL);
	
protected:
	void	Advance();
	
	HParamBlockRec		fPB; 
	Str31				fVolName;
	Match				fMatch;
	
};

