#ifndef __SSTYPES__
#define __SSTYPES__

#ifndef __SOUND__
#include <sound.h>
#endif

typedef OSType		SSQuality;



union SHeader
{
	SoundHeader		std;
	ExtSoundHeader	ext;
	CmpSoundHeader	cmp;
};



typedef pascal void (*SSCompletionProc)
(
	long 	completionData,
	OSErr	ioResult,
	long	ioLength
);


typedef pascal void (*SSWriteProcPtr)
(
	void* 				buffer,
	long 				length,
	long 				refCon,
	SSCompletionProc 	ioCompletion,
	long				completionData
);

typedef pascal OSErr (*SSReadProcPtr)
(
	void* 				buffer,
	long 				length,
	long	 			refCon,
	SSCompletionProc 	ioCompletion,
	long 				completionData
);


typedef pascal void (*SSCancelReadProcPtr)
(
	long 				refCon,
	SSCompletionProc 	ioCompletion,
	long				completionData
);





#endif