#ifndef __GunSprite_H__
#define __GunSprite_H__

/***
 *     Created by Bill Hubauer on Fri, Jun 21, 1996 @ 2:53 AM.
 *
 ***/

#ifndef __SpriteGame_H__
#include "SpriteGame.h"
#endif


class CBlasteroidsShipSprite : public CGameSprite
{
public:
	CBlasteroidsShipSprite(CSpriteWorld* world,CSpriteGame* game);
	virtual ~CBlasteroidsShipSprite();
	
	
	enum { kBaseImageID = 1000 , kMoveHInterval = 20, kMoveVInterval = 20};
	
	virtual	void	UpdatePosition() ; //Override
	
protected:
			
			Boolean	LeftArrowQ();
			Boolean	RightArrowQ();
			Boolean	UpArrowQ();
			Boolean	DownArrowQ();
			Boolean	SpaceDownQ();
			
			void	FireGun();
			
			short	fHMomentum;
			short	fVMomentum;
			short	fSpeed;
			short	fShipId;
			short	fShipVariant;
};

class CBlasteroidsBulletSprite : public CGameSprite
{
public:
	CBlasteroidsBulletSprite(CSpriteWorld* world,CSpriteGame* game,short startTop,short startLeft,
		short deltaV,short deltaH);
	virtual ~CBlasteroidsBulletSprite();
	
	virtual	void	UpdatePosition();
	
protected:
	enum { kBulletImageID = 2000 };

	short	fDeltaH;
	short	fDeltaV;
};


#endif
