#ifndef __GunSprite_H__
#define __GunSprite_H__

/***
 *     Created by Bill Hubauer on Fri, Jun 21, 1996 @ 2:53 AM.
 *
 ***/

#ifndef __SpriteGame_H__
#include "SpriteGame.h"
#endif


class CGunSprite : public CGameSprite
{
public:
	CGunSprite(CSpriteWorld* world,CSpriteGame* game);
	virtual ~CGunSprite();
	
	
	enum { kBaseImageID = 1000 , kMoveInterval = 20};
	enum { kGunSoundID = 1000 };
	
	virtual	void	UpdatePosition() ; //Override
	
protected:
			
			
			
			Boolean	LeftArrowQ();
			Boolean	RightArrowQ();
			Boolean	SpaceDownQ();
			
			void	FireGun();

	
	

};

class CBulletSprite : public CGameSprite
{
public:
	CBulletSprite(CSpriteWorld* world,CSpriteGame* game,short startTop,short startLeft,
		short deltaV,short deltaH);
	virtual ~CBulletSprite();
	
	virtual	void	UpdatePosition();
	virtual void	WasHitBy(CSprite* s);
	
protected:
	enum { kBulletImageID = 2000 };

	short	fDeltaH;
	short	fDeltaV;
};


#endif
