#pragma once

#include <ObjectQueue.h>

template <class T>
class TQueueElem : public MQueueElem
{
public:
	
	T*	Next()	{return (T*)MQueueElem::Next();}
	
};


template <class T>
class TObjectQueue : public CObjectQueue
{
public:

	T*	FirstElem()	{return (T*)CObjectQueue::FirstElem();}
	T*	Head()		{return (T*)CObjectQueue::FirstElem();}	// alias for FirstElem
	T*	Tail()		{return (T*)CObjectQueue::Tail();}
	
};



template <class T>
class TQIterator : public CQIterator
{
public:
	TQIterator(CObjectQueue& queue)	: CQIterator(queue) {}
	T*	GetNext()	{return (T*)CQIterator::GetNext();}
	
};

