// assert for MacsBug
// Tom Moertel (18-Feb-94)


#ifdef __cplusplus
extern "C" {
#endif

#undef assert

#ifdef NDEBUG

	#define assert(x)	((void) 0)

#else

	int __mbassert(const char*, const char*, int);
	#define assert(x)	((void) ((x) || __mbassert(#x, __FILE__, __LINE__)))

#endif

#ifdef __cplusplus
}
#endif
