#ifndef __BlasteroidsGame_H__
#define __BlasteroidsGame_H__

/***
 *     Created by Bill Hubauer on Fri, Jun 21, 1996 @ 2:25 AM.
 *
 ***/

#ifndef __SpriteGame_H__
#include "SpriteGame.h"
#endif


class CBlasteroidsGame : public CSpriteGame
{
public:
	CBlasteroidsGame();
	virtual ~CBlasteroidsGame();

	virtual OSErr		Initialize();
	virtual void		DrawBackground(const Rect& inBounds);
protected:
	virtual CSprite*	MakeExtensionSprite(GWorldPtr image,RgnHandle mask) ; //Override
};

class CBlasteroidTargetSprite : public CGameSprite
{
public:
	CBlasteroidTargetSprite(CSpriteWorld* world,CSpriteGame* game,GWorldPtr image,
						RgnHandle mask);
	virtual ~CBlasteroidTargetSprite();
	
	
	virtual	void	UpdatePosition() ; //Override
	virtual	Boolean	WasHitBy(CSprite* hitByThis);
	
protected:

	enum { kBlasteroidTargetStartTop = 200, kBlasteroidTargetStartLeft = 0};
	enum { kMoveHInterval = 5, kMoveVInterval = 5 };
	
	short fDeltaH;
	short fDeltaV;
};


#endif
