#pragma once

#ifndef NEW
#define NEW new
#endif

#include <DArray.h>

class SoundPlayer;
class SoundManager
{
public:
	SoundManager(OSErr& err);
	~SoundManager();
	
	void	PlaySound(short id,Boolean loopQ);	
	
protected:
	OSErr	PreloadSounds();
	 
	struct Entry
	{
		short		id;
		Handle		sndHandle;
		long		length;
	};
	
	DArray<Entry>		fSoundList;
	SoundPlayer*			fSoundPlayer;
	
};

